Loading...
Searching...
No Matches
vcon.h File Reference

Virtual console interface. More...

`#include <l4/sys/ipc.h>`
Include dependency graph for vcon.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | l4_vcon_attr_t
| Vcon attribute structure. More...

## Typedefs

typedef struct l4_vcon_attr_t | l4_vcon_attr_t
| Vcon attribute structure.

## Enumerations

enum | L4_vcon_size_consts { L4_VCON_WRITE_SIZE = (L4_UTCB_GENERIC_DATA_SIZE - 2) * sizeof(l4_umword_t) , L4_VCON_READ_SIZE = (L4_UTCB_GENERIC_DATA_SIZE - 1) * sizeof(l4_umword_t) }
| Size constants. More...
enum | L4_vcon_read_flags { L4_VCON_READ_SIZE_MASK = 0x3fffffff , L4_VCON_READ_STAT_BREAK = 1 << 30 , L4_VCON_READ_STAT_DONE = 1 << 31 }
| Vcon read flags. More...
enum | L4_vcon_i_flags { L4_VCON_INLCR = 000100 , L4_VCON_IGNCR = 000200 , L4_VCON_ICRNL = 000400 }
| Input flags. More...
enum | L4_vcon_o_flags { L4_VCON_ONLCR = 000004 , L4_VCON_OCRNL = 000010 , L4_VCON_ONLRET = 000040 }
| Output flags. More...
enum | L4_vcon_l_flags { L4_VCON_ICANON = 000002 , L4_VCON_ECHO = 000010 }
| Local flags. More...
enum | L4_vcon_ops { L4_VCON_WRITE_OP = 0UL , L4_VCON_READ_OP = 1UL , L4_VCON_SET_ATTR_OP = 2UL , L4_VCON_GET_ATTR_OP = 3UL }
| Operations on vcon objects. More...

## Functions

l4_msgtag_t | l4_vcon_send (l4_cap_idx_t vcon, char const *buf, unsigned size) L4_NOTHROW
| Send data to virtual console.
l4_msgtag_t | l4_vcon_send_u (l4_cap_idx_t vcon, char const *buf, unsigned size, l4_utcb_t *utcb) L4_NOTHROW
| Send data to this virtual console.
long | l4_vcon_write (l4_cap_idx_t vcon, char const *buf, unsigned size) L4_NOTHROW
| Write data to virtual console.
long | l4_vcon_write_u (l4_cap_idx_t vcon, char const *buf, unsigned size, l4_utcb_t *utcb) L4_NOTHROW
| Write data to this virtual console.
int | l4_vcon_read (l4_cap_idx_t vcon, char *buf, unsigned size) L4_NOTHROW
| Read data from virtual console.
int | l4_vcon_read_u (l4_cap_idx_t vcon, char *buf, unsigned size, l4_utcb_t *utcb) L4_NOTHROW
| Read data from this virtual console.
int | l4_vcon_read_with_flags (l4_cap_idx_t vcon, char *buf, unsigned size) L4_NOTHROW
| Read data from virtual console, extended version including flags.
l4_msgtag_t | l4_vcon_set_attr (l4_cap_idx_t vcon, l4_vcon_attr_t const *attr) L4_NOTHROW
| Set attributes of a Vcon.
l4_msgtag_t | l4_vcon_set_attr_u (l4_cap_idx_t vcon, l4_vcon_attr_t const *attr, l4_utcb_t *utcb) L4_NOTHROW
| Set the attributes of this virtual console.
l4_msgtag_t | l4_vcon_get_attr (l4_cap_idx_t vcon, l4_vcon_attr_t *attr) L4_NOTHROW
| Get attributes of a Vcon.
l4_msgtag_t | l4_vcon_get_attr_u (l4_cap_idx_t vcon, l4_vcon_attr_t *attr, l4_utcb_t *utcb) L4_NOTHROW
| Get attributes of this virtual console.
void | l4_vcon_set_attr_raw (l4_vcon_attr_t *attr) L4_NOTHROW
| Set terminal attributes to disable all special processing.

## Detailed Description

Virtual console interface.

Definition in file vcon.h.

## Enumeration Type Documentation

## L4_vcon_read_flags

enum L4_vcon_read_flags

Vcon read flags.

Enumerator
L4_VCON_READ_SIZE_MASK | Size mask.
L4_VCON_READ_STAT_BREAK | Break condition flag.
L4_VCON_READ_STAT_DONE | Done condition flag.

Definition at line 170 of file vcon.h.